require("toggleterm").setup({
    direction =  'horizontal'
})

function _G.set_terminal_keymaps()
  local opts = {buffer = 0}
  vim.keymap.set('t', '<esc>', [[<C-\><C-n>]], opts)
  vim.keymap.set('t', 'jk', [[<C-\><C-n>]], opts)
  vim.keymap.set('t', '<C-h>', [[<Cmd>wincmd h<CR>]], opts)
  vim.keymap.set('t', '<C-j>', [[<Cmd>wincmd j<CR>]], opts)
  vim.keymap.set('t', '<C-k>', [[<Cmd>wincmd k<CR>]], opts)
  vim.keymap.set('t', '<C-l>', [[<Cmd>wincmd l<CR>]], opts)
end

vim.cmd "autocmd! TermOpen term://* lua set_terminal_keymaps()"
local Terminal = require("toggleterm.terminal").Terminal
local lazygit = Terminal:new { cmd = 'lazygit', hidden = true, direction = 'float' }


function _LAZYGIT_TOGGLE()
    lazygit:toggle()
end

vim.keymap.set('n', '<leader>tg', _LAZYGIT_TOGGLE)
vim.keymap.set('n', '<leader>tt', '<Cmd>ToggleTerm<Cr>', {silent = true})
